package net.sourceforge.barbecue.test;
import junit.framework.Test;
import junit.framework.TestSuite;
import net.sourceforge.barbecue.BarcodeServletTest;
import net.sourceforge.barbecue.BarcodeTest;
import net.sourceforge.barbecue.BarcodeTestCase;
import net.sourceforge.barbecue.BlankModuleTest;
import net.sourceforge.barbecue.CompositeModuleTest;
import net.sourceforge.barbecue.ModuleTest;
import net.sourceforge.barbecue.Modulo10Test;
import net.sourceforge.barbecue.SeparatorModuleTest;
import net.sourceforge.barbecue.env.DefaultEnvironmentTest;
import net.sourceforge.barbecue.env.EnvironmentFactoryTest;
import net.sourceforge.barbecue.env.EnvironmentTestCase;
import net.sourceforge.barbecue.env.HeadlessEnvironmentTest;
import net.sourceforge.barbecue.env.NonAWTEnvironmentTest;
import net.sourceforge.barbecue.linear.LinearBarcodeTest;
import net.sourceforge.barbecue.linear.codabar.CodabarBarcodeTest;
import net.sourceforge.barbecue.linear.code128.Code128BarcodeTest;
import net.sourceforge.barbecue.linear.code128.ModuleFactoryTest;
import net.sourceforge.barbecue.linear.code39.Code39BarcodeTest;
import net.sourceforge.barbecue.linear.ean.UCCEAN128BarcodeTest;
import net.sourceforge.barbecue.linear.twoOfFive.Std2of5BarcodeTest;
import net.sourceforge.barbecue.linear.upc.UPCABarcodeTest;
import net.sourceforge.barbecue.output.GraphicsOutputTest;
import net.sourceforge.barbecue.output.SVGOutputTest;

/*net.sourceforge.barbecue.env.EnvironmentFactoryTest$TestEnvironment
 net.sourceforge.barbecue.GraphicsMock
 net.sourceforge.barbecue.BarcodeServletTest$BarcodeServletMock

 net.sourceforge.barbecue.linear.LinearBarcodeTest$BarcodeMock

 net.sourceforge.barbecue.BarcodeTool

 net.sourceforge.barbecue.linear.LinearBarcodeTest$TextOnlyBarcode

 net.sourceforge.barbecue.CompositeModuleTest$ModuleMock

 net.sourceforge.barbecue.env.EnvironmentFactoryTest$UnsupportedEnvironment

 net.sourceforge.barbecue.linear.code128.Code128BarcodeTest$DataOnlyCode128

 net.sourceforge.barbecue.BarcodeServletTest$HttpServletResponseMock

 net.sourceforge.barbecue.NullOutput

 net.sourceforge.barbecue.BarcodeTest$BarcodeMock

 net.sourceforge.barbecue.linear.upc.UPCABarcodeTest$UPCAMock
  
 net.sourceforge.barbecue.BarcodeServletTest$HttpServletRequestMock

 net.sourceforge.barbecue.env.EnvironmentFactoryTest$ErrorEnvironment
 net.sourceforge.barbecue.BarcodeServletTest$ServletOutputStreamMock*/

public class barbecueTests {

	public static Test suite() {

		TestSuite result = new TestSuite();
		result.addTestSuite(CompositeModuleTest.class);
		result.addTestSuite(BarcodeTest.class);
		result.addTestSuite(Modulo10Test.class);
		result.addTestSuite(BarcodeServletTest.class);
		result.addTestSuite(BlankModuleTest.class);
		result.addTestSuite(ModuleTest.class);
		result.addTestSuite(SeparatorModuleTest.class);
		result.addTestSuite(Std2of5BarcodeTest.class);

		// result.addTestSuite(BarcodeTestCase.class);
		result.addTestSuite(Code128BarcodeTest.class);
		result.addTestSuite(LinearBarcodeTest.class);
		result.addTestSuite(UCCEAN128BarcodeTest.class);
		// result.addTestSuite(SVGOutputTest.class);

		result.addTestSuite(EnvironmentFactoryTest.class);

		result.addTestSuite(NonAWTEnvironmentTest.class);

		// result.addTestSuite(UPCABarcodeTest.class);
		result.addTestSuite(GraphicsOutputTest.class);
		result.addTestSuite(ModuleFactoryTest.class);
		result.addTestSuite(HeadlessEnvironmentTest.class);
		// result.addTestSuite(EnvironmentTestCase.class);
		result.addTestSuite(DefaultEnvironmentTest.class);

		result.addTestSuite(CodabarBarcodeTest.class);

		result.addTestSuite(Code39BarcodeTest.class);

		return result;

	}

}
